> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # List actions GET https://api.synthflow.ai/v2/actions Reference: https://docs.synthflow.ai/api-reference/platform-api/actions/list-actions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Query parameters - `limit` (integer, optional, default: 20) — Actions displayed per page. - `offset` (integer, optional, default: 0) — Index of the first action to be returned. ## Response ### 200 200 - `status` (string, optional) - `response` (ActionsGetResponsesContentApplicationJsonSchemaResponse, optional) ## Errors ### 400 Bad Request Error 400 ## Types ### ActionsGetResponsesContentApplicationJsonSchemaResponse - `pagination` (ActionsGetResponsesContentApplicationJsonSchemaResponsePagination, optional) - `actions` (list of ActionsGetResponsesContentApplicationJsonSchemaResponseActionsItems, optional) ### ActionsGetResponsesContentApplicationJsonSchemaResponsePagination - `total_records` (integer, optional) - `limit` (integer, optional) - `offset` (integer, optional) ### ActionsGetResponsesContentApplicationJsonSchemaResponseActionsItems - `action_id` (string, optional) - `action_type` (enum, optional) - Allowed values: `REAL_TIME_BOOKING_CALCOM`, `REAL_TIME_BOOKING_GHL`, `INFORMATION_EXTRACTOR`, `LIVE_TRANSFER`, `SEND_SMS`, `INCALL_SMS`, `INCALL_WHATSAPP`, `CUSTOM_ACTION`, `CUSTOM_EVAL`, `IVR`, `RINGCX_HANDOFF`, `MCP`, `FIVE9_HANDOFF`, `SEND_EMAIL` - `name` (string, optional) - `description` (string, optional) - `parameters_hard_coded` (ActionsGetResponsesContentApplicationJsonSchemaResponseActionsItemsParametersHardCoded, optional) ### ActionsGetResponsesContentApplicationJsonSchemaResponseActionsItemsParametersHardCoded - `sms_message_text` (string, optional) - `server_name` (string, optional) — MCP server name. - `server_namespace` (string, optional) — MCP namespace prefixing tool names. - `tools` (list of string, optional) — Namespaced MCP tool names. - `timeout_ms` (integer, optional) — MCP tool timeout in milliseconds. - `transfer_mode` (enum, optional) — Transfer mode of a live transfer action. - Allowed values: `cold_transfer`, `warm_transfer`, `warm_transfer_with_context` - `run_action_before_call_start` (boolean, optional) — Whether a custom action runs before the call starts. - `run_action_before_call_starts` (boolean, optional, deprecated) — Legacy alias of run_action_before_call_start. ## Examples **Response** ```json { "status": "ok", "response": { "pagination": { "total_records": 103, "limit": 20, "offset": 0 }, "actions": [ { "action_id": "1722936793779x397329270058999800", "action_type": "SEND_SMS", "name": "send_sms", "description": "If user wants to have a meeting next week.", "parameters_hard_coded": { "sms_message_text": "Hello, thanks for your interest in a demo meeting. You can book your session here: Booking Link" } }, { "action_id": "1722936881007x6148720204197584900", "action_type": "INFORMATION_EXTRACTOR", "name": "", "description": "", "parameters_hard_coded": { "choices": [], "condition": "", "examples": [], "identifier": "", "type": "" } } ] } } ``` **SDK Code** ```python list-actions_example import requests url = "https://api.synthflow.ai/v2/actions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```go list-actions_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/actions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby list-actions_example require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/actions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java list-actions_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.synthflow.ai/v2/actions") .header("Authorization", "Bearer ") .asString(); ``` ```csharp list-actions_example using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/actions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift list-actions_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/actions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```